%define anolis_release 2

# A header-only library has no debuginfo
%global debug_package %{nil}

Name:           py3c
Version:        1.4
Release:        %{anolis_release}%{?dist}
Summary:        Guide and compatibility macros for porting extensions to Python 3
# Licences differ for subpackages
License:        MIT and CC-BY-SA
URL:            http://py3c.readthedocs.io/
Source0:        https://github.com/encukou/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme >= 0.4.3

%description
py3c helps you port C extensions to Python 3.

It provides a detailed guide, and a set of macros to make porting easy
and reduce boilerplate.

%package        devel
License:        MIT
Summary:        Header files for py3c

Requires:       python3-devel

# A header-only library counts as static
Provides:       %{name}-static = %{version}-%{release}

%description devel
%{name}-devel is only required for building software that uses py3c.
Because py3c is a header-only library, there is no matching run-time package.

%package        doc
BuildArch:      noarch
License:        CC-BY-SA
Summary:        Guide for porting C extensions to Python 3

%description doc
Guide for porting CPython extensions from Python 2 to Python 3, using the
py3c macros.

%prep
%setup -q

%build
make %{?_smp_mflags} py3c.pc includedir=%{_includedir}

make %{?_smp_mflags} doc SPHINXBUILD=sphinx-build-3

%check
export CFLAGS="%{optflags}"
make %{?_smp_mflags} test-python3

%install
make install prefix=%{buildroot}%{_prefix} includedir=%{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_pkgdocdir}
cp -rv doc/build/html/* %{buildroot}%{_pkgdocdir}

# Strip buildroot name from the pkgconfig file
sed --in-place -e's!%{buildroot}!!' %{buildroot}%{_datadir}/pkgconfig/py3c.pc

%files devel
%license LICENSE.MIT
%{_includedir}/py3c.h
%{_includedir}/py3c/
%{_datadir}/pkgconfig/py3c.pc

%files doc
%doc README.rst
%license doc/LICENSE.CC-BY-SA-3.0
%doc %{_pkgdocdir}/

%changelog
* Wed Dec 13 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4-2
- rebuild

* Tue Mar 28 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.4-1
- Init from upstream
